- Home
- API Enriched
- Tenant And Identity
- web
- GetLoginEvents.
GetLoginEvents.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/idm/events/login';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/idm/events/login \ --header 'Authorization: <Authorization>'GetLoginEvents returns login events for specified in config period of time. It consider all users within current tenant. Login events are extracted directly from IDM.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Start offset.
Records per page.
Responses
Section titled “Responses”A successful response.
LoginEventsMap is a map from username to list of login events. In can be useful have login events grouped by usernames.
object
Map of login events based on input filter group by username.
object
Examplegenerated
{ "login_events_map": {}}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example